Package be.ehealth.businessconnector.mycarenet.agreement.builders.impl

# Class ResponseObjectBuilderImpl

java.lang.Object
be.ehealth.businessconnector.mycarenet.agreement.builders.impl.ResponseObjectBuilderImpl

All Implemented Interfaces:
  `ResponseObjectBuilder`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class ResponseObjectBuilderImpl extends Object implements ResponseObjectBuilder, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation for the `ResponseObjectBuilder` interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseObjectBuilderImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `SignedEncryptedBuilderResponse`
  `handleAskAgreementResponse(AskAgreementResponse response, AskAgreementBuilderRequest request)`
  Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `SignedEncryptedBuilderResponse` object.
  `SignedEncryptedBuilderResponse`
  `handleConsultAgreementResponse(ConsultAgreementResponse response, ConsultAgreementBuilderRequest request)`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResponseObjectBuilderImpl

    public ResponseObjectBuilderImpl()

- ## Method Details

  - ### handleAskAgreementResponse

    public SignedEncryptedBuilderResponse handleAskAgreementResponse(AskAgreementResponse response, AskAgreementBuilderRequest request) throws TechnicalConnectorException
    Description copied from interface: `ResponseObjectBuilder`
    Handles the response of the WS, checks the signatures and decode the content (if necessary) to create a `SignedEncryptedBuilderResponse` object.
    Specified by:
      `handleAskAgreementResponse` in interface `ResponseObjectBuilder`
    Parameters:
      `response` - the response sent by the WS
    Returns:
      a MemberDataBuilderResponse object who contains all info
    Throws:
      `TechnicalConnectorException` - the technical connector exception

  - ### handleConsultAgreementResponse

    public SignedEncryptedBuilderResponse handleConsultAgreementResponse(ConsultAgreementResponse response, ConsultAgreementBuilderRequest request) throws TechnicalConnectorException
    Specified by:
      `handleConsultAgreementResponse` in interface `ResponseObjectBuilder`
    Throws:
      `TechnicalConnectorException`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`